Module jdk.compiler
Package com.sun.source.tree

## Interface TryTree

All Superinterfaces:
  StatementTree, Tree

    public interface TryTree
    extends StatementTree

A tree node for a `try` statement. For example:

       try
           block
       catches
       finally
           finallyBlock

Since:
  1.6
See The Java™ Language Specification:
  section 14.20

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`BlockTree` `getBlock()` Returns the block of the `try` statement.
`List<? extends CatchTree>` `getCatches()` Returns any catch blocks provided in the `try` statement.
`BlockTree` `getFinallyBlock()` Returns the finally block provided in the `try` statement, or `null` if there is none.
`List<? extends Tree>` `getResources()` Returns any resource declarations provided in the `try` statement.

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getBlock

    BlockTree getBlock()

Returns the block of the `try` statement.

Returns:
  the block

#### getCatches

    List<? extends CatchTree> getCatches()

Returns any catch blocks provided in the `try` statement. The result will be an empty list if there are no catch blocks.

Returns:
  the catch blocks

#### getFinallyBlock

    BlockTree getFinallyBlock()

Returns the finally block provided in the `try` statement, or `null` if there is none.

Returns:
  the finally block

#### getResources

    List<? extends Tree> getResources()

Returns any resource declarations provided in the `try` statement. The result will be an empty list if there are no resource declarations.

Returns:
  the resource declarations